Page MenuHomePhabricator

Article Feedback Page - Permalink New Design with Info and Activity Sections
Closed, ResolvedPublic

Description

We would like to add a Feedback Info section with post meta-data like relevance scores on the permalink views.

Here's a first proposal for a 'Feedback Info' section that would appear at the bottom of that permalink view, below the Helpful/Flag for abuse buttons.

(end of post comment on permalink page)

'Is this helpful? ^ Yes v No * Flag as abuse


Feedback Info:
Posted on: Jan. 26, 2012 at 2:30pm UMT. <See old article.> [to be moved down from main post area]
Written by an anonymous reader. [or: 'a new editor'; or 'a registered editor'].

Length: 152 words - 1260 characters.
Scores: +185 relevance, +44 helpfulness
Post #7,513 - Feedback form 5E

Activity: 3 actions - Featured, Resolved, Auto-flagged
Last action: This post was marked as resolved by Fabrice Florin on 1 May 2012 at 03:18
Note: 'This good suggestion has been implemented, thank you!' [last action, only shown to editors + up ]


View all feedback >> [larger font size, like 14-16 points high]

We would like to get this section started right away, even in barebones format, so we can have access to the relevance score for testing this week on production. A wireframe will be provided shortly, to illustrate proposed layout.


Version: unspecified
Severity: major

Details

Reference
bz36366

Event Timeline

bzimport raised the priority of this task from to High.Nov 22 2014, 12:22 AM
bzimport added a project: ArticleFeedbackv5.
bzimport set Reference to bz36366.

Only show this to monitors for now. Or editors, if that's easier for you.

reha wrote:

The beginnings of this section are in gerrit (and on prototype) and ready for review:

https://gerrit.wikimedia.org/r/6405

I kept it simple and just added plain <p> tags for each of the following easy ones:

Posted on: <date> at <time>
Length: 152 words - 1260 characters.
Scores: 185 relevance, 44 helpfulness
Post #7513 - Feedback form 5E

These are available to any user group that can see hidden posts.

A preliminary version of the permalink mockup is available at:
http://dl.dropbox.com/u/30377416/prototypes/feedback-tool/article-feedback/permalink-page.png

Pau Giner will make one more update to this mockup, but wanted to give you an FYI about the direction we are taking.

Pau can send you the info icon when you are ready for it. Stay tuned for the next permalink mockup.